Jump to content

[Solucionado]Problemas traducciones tras la actualización a Prestashop 1.5.4


Recommended Posts

Buenos días a todos,

no soy mucho de escribir, mas bien de leeros cuando tengo alguna duda, normalmente suele estar ya resuelta por aquí.

Lo que no he visto nada es sobre el upgrade de esta pasada noche a la versión 1.5.4 estable.

Os cuento: yo tengo dos sitios corriendo bajo Prestashop 1.5, dado que la opción multi-tienda está aún un poco verde y tras varios problemillas decidí hace los sitios por separado. Uno de ellos es pequeño y apenas tiene 50 productos, contando con las combinaciones y para probar, he decidido actualizar este a la nueva versión.

La actualización se ha llevado a cabo sin problemas gracias al módulo 1-Click Upgrade y ya he podido trastear con las nuevas opciones y configuraciones visibles. El único problema que de momento he detectado es que en el panel de administración hay cosas que me aparecen en inglés, cuando antes de la actualización, aparecían en castellano. Al ir al apartado de traducciones me he encontrado con que ¡¡todo el idiomas castellano está vacío en el back-office!! En mi caso más de 4700 expresiones. ¿Hay alguna solución rápida?

De momento es la única pega que tiene la actuialización, al menos que yo haya detectado.

Edited by radioeventos (see edit history)

Share this post


Link to post
Share on other sites

Si señor, buena táctica, sobre todo por parte de los programadores. Que NADIE lo instale y así NUNCA se verán los fallos y NUNCA se podrán solucionar. Buena táctica por parte de un desarrollador de PRESTASHOP, quedarse de brazos cruzados.

Share this post


Link to post
Share on other sites

He echado un vistazo a los archivos de la nueva versión y he visto que los idiomas del tema y todos vienen comprimidos en un fichero... por lo que igual hay que importarlos...

 

Además he visto que en el tema y demás han cambiado frases en inglés, por lo que en los ficheros de traducciones estas nuevas frases no se si vendrán, y las frases viejas traducidas no servirán a no ser que se pasen a las nuevas...

 

Por lo demás parece que han arreglado un montón de errores.

 

Cuando tenga tiempo probaré actualizar la tienda y ver que problemas existen.

  • Like 1

Share this post


Link to post
Share on other sites

Solucionado problema idioma en la actualización 1.5.4 (manualmente):

El problema es que los idiomas no se llegan a descomprimir y se quedan en la carpeta 'translations', como bien indica 'raulpopi' mientras escribo esto.

Bien los importamos con la herramienta correspondiente o bajamos el fichero y los repartimos manualmente, así al menos a simple vista estarían huérfanas solo 44 de las mas de 4000 expresiones del back oficce, en el Front dependerá de nuestrio tema y módulos instalados.

Si encontráis más problemas id indicándolos para solucionárselos a los de los brazos cruzados.

Share this post


Link to post
Share on other sites

Solucionado problema idioma en la actualización 1.5.4 (manualmente):

 

Estimado radioeventos,

 

Si das el tema como solucionado, edita el titulo del tema, editando el primer mensaje, pulsando en editar, y después en "Usar editor completo", añadiendo la palabra "Solucionado" al titulo, esto ayudara, a mantener una mayor organización en el foro.

 

Para nuevas dudas a que abrir un tema nuevo. (1 duda por tema)

  • Like 1

Share this post


Link to post
Share on other sites

Si señor, buena táctica, sobre todo por parte de los programadores. Que NADIE lo instale y así NUNCA se verán los fallos y NUNCA se podrán solucionar. Buena táctica por parte de un desarrollador de PRESTASHOP, quedarse de brazos cruzados.

 

claro. Lo mejor es instalárselo a los clientes sin tener ningún tipo de soporte en el bugtracker y dejarlos a todos expuestos a las cagadas que lleve y a perder pasta en ventas.

 

Para su información, servidora contribuye a las mejoras en el Presta, lo que no hago es recomendar jamás que se instalen versiones no testeadas por la comunidad. Eso es un suicidio, más si tu business cuelga de un Presta. Es tan de perogrullo, que no requiere mucha más explicación.

Share this post


Link to post
Share on other sites

¿Y no es mas sensato decir 'No instalar en sitios en producción'?

No, es mas facil redirigir a un Twitt propio ( a ver si con suerte gano algún seguidor) que poner las cosas bien.

Sé que contribuyes a Prestashop activamente, pero el comentario no es propio ni del hilo ni del foro. Está bien para tu blog (enhorabuena por cierto) o como estrategia de marketing, pero no para resolver dudas. Esa actitud al responder es lo que reprocho, para nada tu trabajo. Buenos modales, nada mas.

Share this post


Link to post
Share on other sites

¿Y no es mas sensato decir 'No instalar en sitios en producción'?

No, es mas facil redirigir a un Twitt propio ( a ver si con suerte gano algún seguidor) que poner las cosas bien.

Sé que contribuyes a Prestashop activamente, pero el comentario no es propio ni del hilo ni del foro. Está bien para tu blog (enhorabuena por cierto) o como estrategia de marketing, pero no para resolver dudas. Esa actitud al responder es lo que reprocho, para nada tu trabajo. Buenos modales, nada mas.

 

Me has pillado, lo he hecho para ver si ganaba seguidores! me voy a llorar a la limusina y a azotar al Director de Márketing.

 

El tema es que la última vez que salió versión nueva de prestashop, la gente se puso a instalarlo como locos y petó.

Si conoces al usuario medio de Presta, no es un tío que tenga un entorno de pre-producción. En muchos casos, no sabe ni lo que es, por lo que actualiza directamente "en directo" y se queda sin tienda. Panica y entra cagando leches en el foro.

De ahí la frase y el tweet, para intentar evitar que salgan hilos eternos en el foro de gente que, de repente, se ha quedado en pelotas, que los habrá. Lo mismo pasa con Wordpress, Joomla, Drupal y otros open-source. No hay que actualizar antes de que haya petado por H y por B y se hayan solucionado los bugs. Esto ya ha pasado con 1.5, 1.5.2, 1.5.3.1 y quiero evitar que le pase a más gente con la 1.5.4.

 

Por cierto, buenos modales incluye no usar mayúsculas + subrayado o solo incluye lo que hacemos los demás y no te mola?

 

Api!

Share this post


Link to post
Share on other sites

  • 3 weeks later...

tengo 1.5.4 con el mismo error. Podriais explicarme los pasos que seguisteis mas detallados para solucionar este problema?

En serio, ya lo dije en un post anterior, Prestashop se está luciendo con estos fallos. Por mi parte he perdido la confianza totalmente en Prestashop.

Edited by Yowi (see edit history)

Share this post


Link to post
Share on other sites

Yowi, ve a la carpeta "Translations" del FTP y allí encontrarás los archivos de idioma en un fichero .zip . Deberás imoportarlos desde el panel de control o repartir los ficheros manualmente a sus respectivas carpetas.

No se si es un fallo que estén los ficheros y al actualizar no se instalan porque falte algún comando o lo han dejado así para que cada uno se instale su idioma y no sobre cargue de archivos innecesarios su servidor.

  • Like 1

Share this post


Link to post
Share on other sites

Alguien que me pueda ayudar, soy nuevo en esto y la verdad no se nada de foros y eso, no se si esta bien formulado o expuesto aqui mi problema, tengo un prestashop la version PrestaShop™ 1.4.9.0 mi pagina de internet es www.abiti.com.mx , y de un par de dias no se que paso que de repente me comenzo a realizar problemas en la traduccion y me revolvio los nombres de unos articulos en otros y los precios y descripciones de otros, me di cuenta que algunas cosas de repente estan en ingles, y comence a indagar por ahi pero no lo he podido resolver, si entras a la pagina en un celular en la version full, ves todo normal pero en una pc esta horrible todo mal hecho, no se si alguien de aqui le halla pasado eso y me pueda ayudar, agradesco mucho su colaboración.

Share this post


Link to post
Share on other sites

Hola a [email protected],

voy a formular mi pregunta en este hilo, porque parece que tengo el mismo problema que vosotros pero no lo puedo solucionar, con la solución que habéis propuesto:

 

En mi tienda: http://www.regalacanastillas.com tras la actualización a prestashop 1.5.4 parece que muchas cosas se desconfiguraron, cambió la foto de portada, cambió bloques de sitio, y dejó en inglés muchas partes de la web. Las dos primeras cosas más o menos las he solucionado, pero no consigo cambiar el nombre de muchos bloques que aparecen en inglés (categories, manufacturers, cart, new products, etc) también add to cart.

 

He mirado lo que proponéis de la carpeta translations, a mi no me aparece nada comprimido. Y reviso los archivos php y no encuentro nada mal traducido.

 

Espero vuestra ayuda, es fantástico el compañerismo en este foro. Gracias de antemano!

Share this post


Link to post
Share on other sites

Hola.

Lo normal es que la plantilla defaut esté correctamente, yo he probado en una tienda nueva con una plantilla diferente y veo el problema, pues desde traducciones al final de la página en la opción copiar, he seleccionado Español y de la plantilla default, y después he seleccionado Español y la plantilla no original que estoy usando y he dado clic en copiar de una a otra y esta funcionando casi todo, por último he copiado desde themes/default/modules/ todas las carpetas del interior y las he pasado a la plantilla de prueba no original, he borrado los archivos .tpl de todas las carpetas para que no me modifique nada y ahora me funcionan todos los módulos traducidos bien.

 

Perdonar si no me he explicado con mucha claridad y si alguien conoce otras soluciones, agradecería mucho que lo comparta aqui.

 

Saludos.

 

Gracias !

Share this post


Link to post
Share on other sites

El error del que hablamos aquí se da tras la actualización gracias al módulo correspondiente, quizás en nuevas instalaciones no ocurra. Yo por el momento en el sitio en producción me quedo con la 1.5.3 que bastantes quebraderos me dan las actualizaciones del theme que uso como para que se me venga abajo todo por bugs que probablemente manualmente y gracias al foro ya haya solucionado. Desvestir un santo para vestir otro, como dicen en mi pueblo. No sé como han sido capaces de lanzar como versión final una actualización con esos fallos clamorosos. Al menos podrían solucionar lo de los idiomas y resubir el paquete sin cambiar de versión, porque si lo han hecho ya no han informado.

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Hola.

Lo normal es que la plantilla defaut esté correctamente, yo he probado en una tienda nueva con una plantilla diferente y veo el problema, pues desde traducciones al final de la página en la opción copiar, he seleccionado Español y de la plantilla default, y después he seleccionado Español y la plantilla no original que estoy usando y he dado clic en copiar de una a otra y esta funcionando casi todo, por último he copiado desde themes/default/modules/ todas las carpetas del interior y las he pasado a la plantilla de prueba no original, he borrado los archivos .tpl de todas las carpetas para que no me modifique nada y ahora me funcionan todos los módulos traducidos bien.

 

Perdonar si no me he explicado con mucha claridad y si alguien conoce otras soluciones, agradecería mucho que lo comparta aqui.

 

Saludos.

 

¿quieres decir que se copie la carpeta themes/default/modules/ pero que todos los archivos .tpl que contengan los subdirectorios de modules/ sean eliminados antes de ser copiados?

Edited by fiti80 (see edit history)

Share this post


Link to post
Share on other sites

  • 2 months later...
Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More